import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import PropTypes from 'prop-types';
import MoleculeField from '@s-ui/react-molecule-field';
import MoleculeButtonGroup from '@s-ui/react-molecule-button-group';

var MoleculeButtonGroupField = function MoleculeButtonGroupField(_ref) {
  var id = _ref.id,
      label = _ref.label,
      successText = _ref.successText,
      errorText = _ref.errorText,
      alertText = _ref.alertText,
      helpText = _ref.helpText,
      onChange = _ref.onChange,
      children = _ref.children,
      props = _objectWithoutPropertiesLoose(_ref, ["id", "label", "successText", "errorText", "alertText", "helpText", "onChange", "children"]);

  return React.createElement(MoleculeField, {
    name: id,
    label: label,
    successText: successText,
    errorText: errorText,
    alertText: alertText,
    helpText: helpText,
    onChange: onChange
  }, React.createElement(MoleculeButtonGroup, Object.assign({
    id: id
  }, props), children));
};

MoleculeButtonGroupField.displayName = 'MoleculeButtonGroupField';
export default MoleculeButtonGroupField;